<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"></script>
  <title>Document</title>
</head>

<body style="height: 100vh;">
  <div class="container h-100">
    <div class="col-12 p-0 row justify-content-center" style="height: 100%;">
      <header class="col-12 bg-warning" style="height: 10%;">
        <h1>HTML5 Semantics and Flexbox</h1>
      </header>
      <div class="row flex-row col-12 p-0 mt-2" style="height: 80%;">
        <nav class="col-2 p-0">
          <div class="col-12 bg-success pr-1  h-100">
            <h4>Navigate</h4>
            <strong>Home<br>
              <a href="">Link1</a><br>
              <a href="">Link2</a>
            </strong>
          </div>
        </nav>
        <main class="column col-8">
          <div class="col-12 bg-primary h-100">
            <article>
              <h2>
                About This Page
              </h2>
              <p>On this page, I am experimenting with HTML5 semantics and CSS flexbox for a tidy layout.</p>
              <p>On JS Bin, I purposedly includes the stylesheet on the HTML tab (instead of separate CSS tab) for
                easier
                code reading for those with small screen.</p>
              <p>The <code>main</code> element is placed within a <code>div</code> element along with <code>nav</code>
                and
                <code>aside</code>. I don't know if this is right or wrong (let me know?).
              </p>
              <p>Navigation links are placed within <code>nav</code>, laid on the left. The <code>main</code> is at the
                center column (this column). Within it is the main topic (this article).</p>
              <p>The <code>aside</code> element is at the rightmost of the column, I put supplemental information on it.
              </p>
            </article>
            <article>
              <h2>Test This Page!</h2>
              <p>Do test this page by:</p>
              <ul>
                <li>Resizing the browser windows; see if flexbox lives up to its reputation.</li>
                <li>Run HTML Outliner or HeadingsMap (or similar tool) and see if the outline is good. </li>
                <li>Check the markup in this page with W3C Markup validator; see if the markups are good. Paste the URL
                  of
                  this page to the address column. <a href="#">Click here to try!</a>.</li>
                <li>Check the CSS part of this page too! <a href="#">Click here!</a></li>
              </ul>
            </article>
          </div>
        </main>
        <aside class="col-2 p-0">
          <div class="col-12 bg-info h-100">
            <h2>HTML</h2>
            <p>Stands for HyperText Markup Language. The current standard is HTML5.</p>
            <h2>CSS</h2>
            <p>Stands for Cascaded Style Sheet. The current standard is CSS3.</p>
            <h2>URL</h2>
            <p>Short for Uniform Resource Locator. It is a reference (an address) to a resource on the Internet.</p>
          </div>
        </aside>
      </div>
      <div class="col-12 mt-1"  style="background-color: burlywood; height: 10%;">
        <footer>Aug, 2022 @ Devcamp</footer>
      </div>
    </div>
  </div>
</body>

</html>